Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module
Class ModuleFDC

    java.lang.Object
      dioscuri.module.AbstractModule
          dioscuri.module.ModuleFDC

All Implemented Interfaces:
  Addressable, Module, Updateable

Direct Known Subclasses:
  FDC

    public abstract class ModuleFDC

extends AbstractModule
implements Addressable, Updateable

Abstract class representing a generic FDC module.

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Field Summary

Fields inherited from class dioscuri.module.AbstractModule
`type`

Constructor Summary
`ModuleFDC()`

Method Summary
`abstract boolean` | `ejectCarrier(int driveIndex)` Ejects a carrier (if any) from a selected drive
`abstract boolean` | `ejectCarrier(java.lang.String drive)` Ejects a carrier (if any) from a selected drive
`abstract boolean` | `insertCarrier(int driveIndex, byte carrierType, java.io.File imageFile, boolean writeProtected)` Inserts a new carrier into a selected drive
`abstract boolean` | `insertCarrier(java.lang.String drive, byte carrierType, java.io.File imageFile, boolean writeProtected)` Inserts a new carrier into a selected drive
`abstract boolean` | `setNumberOfDrives(int totalDrives)` Defines the total number of available drives Note: total number may not exceed 4

Methods inherited from class dioscuri.module.AbstractModule
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface dioscuri.interfaces.Addressable
`getIOPortByte, getIOPortDoubleWord, getIOPortWord, setIOPortByte, setIOPortDoubleWord, setIOPortWord`

Methods inherited from interface dioscuri.interfaces.Updateable
`getUpdateInterval, setUpdateInterval, update`

Methods inherited from interface dioscuri.interfaces.Module
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Constructor Detail

### ModuleFDC

    public ModuleFDC()

Method Detail

### setNumberOfDrives

    public abstract boolean setNumberOfDrives(int totalDrives)

  Defines the total number of available drives Note: total number may not exceed 4

  Parameters:
    `totalDrives` -
  Returns:
    true if drives set successfully, false otherwise

### insertCarrier

    public abstract boolean insertCarrier(java.lang.String drive,
                                          byte carrierType,
                                          java.io.File imageFile,
                                          boolean writeProtected)

  Inserts a new carrier into a selected drive

  Parameters:
    `drive` -
    `carrierType` -
    `imageFile` -
    `writeProtected` -
  Returns:
    boolean true if carrier is inserted successfully, false otherwise

### ejectCarrier

    public abstract boolean ejectCarrier(java.lang.String drive)

  Ejects a carrier (if any) from a selected drive

  Parameters:
    `drive` -
  Returns:
    boolean true if carrier is ejected successfully, false otherwise

### insertCarrier

    public abstract boolean insertCarrier(int driveIndex,
                                          byte carrierType,
                                          java.io.File imageFile,
                                          boolean writeProtected)

  Inserts a new carrier into a selected drive

  Parameters:
    `driveIndex` -
    `carrierType` -
    `imageFile` -
    `writeProtected` -
  Returns:
    boolean true if carrier is inserted successfully, false otherwise

### ejectCarrier

    public abstract boolean ejectCarrier(int driveIndex)

  Ejects a carrier (if any) from a selected drive

  Parameters:
    `driveIndex` -
  Returns:
    boolean true if carrier is ejected successfully, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD